#!/usr/bin/env python

# This is a simple program behaving as the Robot interface for sending percepts
# Simply enter percepts and press enter and the percepts will be sent off

import rospy
from std_msgs.msg import String

def send_percepts():
    # Must publish on the 'percepts' topic
    pub = rospy.Publisher('percepts', String, queue_size=10)
    rospy.init_node('ros_percepts', anonymous=True)
    r = rospy.Rate(10) # 10hz
    while not rospy.is_shutdown():
        msg = raw_input("Percepts: ")
        if msg == "":
            break
        pub.publish(msg)
        r.sleep()

if __name__ == '__main__':
    send_percepts()
