#!/usr/bin/env python

# This is a simple program behaving as the Robot interface
# waiting for controls messages.
# This program simply prints out the controls received

import rospy
from std_msgs.msg import String

def callback(data):
    print data.data
    
def get_controls():
    rospy.init_node('ros_controls', anonymous=True)
    # Must be subscribed to the 'controls' topic
    rospy.Subscriber("controls", String, callback)
    rospy.spin()
        
if __name__ == '__main__':
    get_controls()
